> ## Documentation Index
> Fetch the complete documentation index at: https://help.teable.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Post unsubscribeimport list

> Import unsubscribe list



## OpenAPI

````yaml /swagger.json post /unsubscribe/import-list/{baseId}
openapi: 3.0.0
info:
  version: 1.0.0
  title: Teable App
  description: Manage Data as easy as drink a cup of tea
  x-logo:
    backgroundColor: '#F0F0F0'
    altText: Teable logo
servers:
  - url: https://app.teable.ai/api
security: []
paths:
  /unsubscribe/import-list/{baseId}:
    post:
      tags:
        - unsubscribe
      description: Import unsubscribe list
      parameters:
        - schema:
            type: string
          required: true
          name: baseId
          in: path
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                notify:
                  type: object
                  properties:
                    token:
                      type: string
                      example: xxxxxxxxxxx
                      description: Token for the uploaded file
                    size:
                      type: number
                      example: 1024
                      description: File size in bytes
                    url:
                      type: string
                      example: /bucket/xxxxx
                      description: URL of the uploaded file
                    path:
                      type: string
                      example: /table/xxxxxx
                      description: file path
                    mimetype:
                      type: string
                      example: video/mp4
                      description: MIME type of the uploaded file
                    width:
                      type: number
                      example: 100
                      description: Image width of the uploaded file
                    height:
                      type: number
                      example: 100
                      description: Image height of the uploaded file
                    presignedUrl:
                      type: string
                      description: Preview url
                  required:
                    - token
                    - size
                    - url
                    - path
                    - mimetype
                    - presignedUrl
              required:
                - notify
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: boolean
      security:
        - bearerAuth: []
      x-codeSamples:
        - lang: Shell
          source: |-
            curl --request POST \
              --url https://app.teable.ai/api/unsubscribe/import-list/%7BbaseId%7D \
              --header 'Authorization: Bearer REPLACE_BEARER_TOKEN' \
              --header 'content-type: application/json' \
              --data '{"notify":{"token":"xxxxxxxxxxx","size":1024,"url":"/bucket/xxxxx","path":"/table/xxxxxx","mimetype":"video/mp4","width":100,"height":100,"presignedUrl":"string"}}'
        - lang: JavaScript
          source: >-
            const url =
            'https://app.teable.ai/api/unsubscribe/import-list/%7BbaseId%7D';

            const options = {
              method: 'POST',
              headers: {
                Authorization: 'Bearer REPLACE_BEARER_TOKEN',
                'content-type': 'application/json'
              },
              body: '{"notify":{"token":"xxxxxxxxxxx","size":1024,"url":"/bucket/xxxxx","path":"/table/xxxxxx","mimetype":"video/mp4","width":100,"height":100,"presignedUrl":"string"}}'
            };


            try {
              const response = await fetch(url, options);
              const data = await response.json();
              console.log(data);
            } catch (error) {
              console.error(error);
            }
        - lang: Node.js
          source: |-
            const http = require('https');

            const options = {
              method: 'POST',
              hostname: 'app.teable.ai',
              port: null,
              path: '/api/unsubscribe/import-list/%7BbaseId%7D',
              headers: {
                Authorization: 'Bearer REPLACE_BEARER_TOKEN',
                'content-type': 'application/json'
              }
            };

            const req = http.request(options, function (res) {
              const chunks = [];

              res.on('data', function (chunk) {
                chunks.push(chunk);
              });

              res.on('end', function () {
                const body = Buffer.concat(chunks);
                console.log(body.toString());
              });
            });

            req.write(JSON.stringify({
              notify: {
                token: 'xxxxxxxxxxx',
                size: 1024,
                url: '/bucket/xxxxx',
                path: '/table/xxxxxx',
                mimetype: 'video/mp4',
                width: 100,
                height: 100,
                presignedUrl: 'string'
              }
            }));
            req.end();
        - lang: Python
          source: >-
            import http.client


            conn = http.client.HTTPSConnection("app.teable.ai")


            payload =
            "{\"notify\":{\"token\":\"xxxxxxxxxxx\",\"size\":1024,\"url\":\"/bucket/xxxxx\",\"path\":\"/table/xxxxxx\",\"mimetype\":\"video/mp4\",\"width\":100,\"height\":100,\"presignedUrl\":\"string\"}}"


            headers = {
                'Authorization': "Bearer REPLACE_BEARER_TOKEN",
                'content-type': "application/json"
            }


            conn.request("POST", "/api/unsubscribe/import-list/%7BbaseId%7D",
            payload, headers)


            res = conn.getresponse()

            data = res.read()


            print(data.decode("utf-8"))
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````